<HTML>
<HEAD>
<!-- This HTML file has been created by texi2html 1.54
     from builder.texi on 28 April 1999 -->

<TITLE>The Builder Library - Returning</TITLE>
<link href="builder_22.html" rel=Next>
<link href="builder_20.html" rel=Previous>
<link href="builder_toc.html" rel=ToC>

</HEAD>
<BODY>
<p>Go to the <A HREF="builder_1.html">first</A>, <A HREF="builder_20.html">previous</A>, <A HREF="builder_22.html">next</A>, <A HREF="builder_47.html">last</A> section, <A HREF="builder_toc.html">table of contents</A>.
<P><HR><P>


<H2><A NAME="SEC49" HREF="builder_toc.html#TOC49">Returning from a Function</A></H2>
<P>
<A NAME="IDX128"></A>
The <CODE>RETURN()</CODE> function can be used to create a return instruction.
There is an optional argument to this function if a value needs to be
returned. This function is directly translated to a SUIF return
instruction. 

</P>

<P><HR><P>
<p>Go to the <A HREF="builder_1.html">first</A>, <A HREF="builder_20.html">previous</A>, <A HREF="builder_22.html">next</A>, <A HREF="builder_47.html">last</A> section, <A HREF="builder_toc.html">table of contents</A>.
</BODY>
</HTML>
